# Interface ValueCommonSteps.ValueWriteConfigStep<F, T, THIS extends ValueCommonSteps.ValueWriteConfigStep<F,T,THIS>>

Type Parameters:
  `F` - type of the from-end observable
  `T` - type of the to-end observable
  `THIS` - self type for this step

All Superinterfaces:
  `CommonSteps.WriteConfigStep<F,T,THIS>, Step`

All Known Subinterfaces:
  `ValueOneWaySteps.ValueOneWayBindWriteConfigStep<F,T,THIS>, ValueTwoWaySteps.ValueTwoWayBindConfigStep<F,T,THIS>, ValueTwoWaySteps.ValueTwoWayConfigStep<F,T,THIS>, ValueTwoWaySteps.ValueTwoWayConvertToStep<F,THIS>`

Enclosing class:
  `ValueCommonSteps`

public static interface ValueCommonSteps.ValueWriteConfigStep<F, T, THIS extends ValueCommonSteps.ValueWriteConfigStep<F,T,THIS>> extends CommonSteps.WriteConfigStep<F,T,THIS>
Step for configuring the end of a binding where data is written. This is the to-end for a one-way binding and both ends for a two-way binding. Some kinds of observables allow configuration of validators and special update policies.

Since:
  1.11
Restriction:

## Method Summary

Modifier and Type
Method
Description
`THIS`
`convertOnly()`
Sets the `convert-only` update policy for the active observable.
`THIS`
`validateAfterConvert(IValidator<? super T> validator)`
Sets the `after-convert` validator on the to-from direction on the resulting binding.
`THIS`
`validateBeforeSet(IValidator<? super T> validator)`
Sets the `before-set` validator for the to-from direction on the resulting binding.

### Methods inherited from interface CommonSteps.WriteConfigStep

`updateOnlyOnRequest`

## Method Details

### validateAfterConvert

THIS validateAfterConvert(IValidator<? super T> validator)
Sets the `after-convert` validator on the to-from direction on the resulting binding.

Returns:
  next step
See Also:
  - `UpdateValueStrategy.setAfterConvertValidator(IValidator)`

### validateBeforeSet

THIS validateBeforeSet(IValidator<? super T> validator)
Sets the `before-set` validator for the to-from direction on the resulting binding.

Returns:
  next step
See Also:
  - `UpdateValueStrategy.setBeforeSetValidator(IValidator)`

### convertOnly

THIS convertOnly()
Sets the `convert-only` update policy for the active observable. This configures the resulting binding to only do validation and conversion, and not writing data to the observable. This is useful for generating a validation status.

Returns:
  next step
See Also:
  - `UpdateValueStrategy.POLICY_CONVERT`